package dnd;

import java.awt.Component;
import java.awt.Point;
import java.util.Collection;

public class DropCollapsedEvent {

  private final Component[] dragSources;
  private final Component dropTarget;
  private final Point dropLocation;

  public DropCollapsedEvent(Collection<Component> dragSources,
      Component dropTarget, Point dropLocation) {
    this.dragSources = dragSources.toArray(new Component[dragSources.size()]);
    this.dropTarget = dropTarget;
    this.dropLocation = dropLocation;
  }

  public Component[] getDragSources() {
    return dragSources;
  }

  public Component getDropTarget() {
    return dropTarget;
  }

  public Point getDropLocation() {
    return dropLocation;
  }
}
